Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1098791 - Reduce blocking operations as part of hosts & VMs monitoring cycles
Summary: Reduce blocking operations as part of hosts & VMs monitoring cycles
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Arik
QA Contact: Ilanit Stein
URL:
Whiteboard: virt
: 1099846 (view as bug list)
Depends On:
Blocks: 1081962 1108675 1110140 rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-18 15:27 UTC by Arik
Modified: 2015-02-12 07:57 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-3.5.0_beta
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1108675 1110140 (view as bug list)
Environment:
Last Closed: 2015-02-11 18:02:12 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 28144 master MERGED core: move the logic in VmPoolHandler to separate command Never
oVirt gerrit 28146 master MERGED core: refactor ProcessDownVmCommand Never
oVirt gerrit 28220 master MERGED core: process VMs that went down on separate thread Never
oVirt gerrit 28253 master MERGED core: do not handle crashed VM twice Never

Description Arik 2014-05-18 15:27:15 UTC
Description of problem:
While investigating [1], we noticed that the handling of VMs that went down is being processed synchronously as part of each iteration of VdsUpdateRunTimeInfo. When we had to handle 50 VMs that went down on the same host at the same time, it caused the iteration to take ~9 minutes.
We should extract the code this code that handles VMs that went down to be executed as part of different thread/job as well as other similar synchronous operation that are made within the VURTI thread.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Run 50 stateless VMs on one host
2. Shutdown all VMs at the same time
3.

Actual results:
iteration of VURTI can take more than 9 minutes

Expected results:
the iteration of VURTI end as soon as possible, and the long operations that block it should be executed in different thread.

Additional info:
[1] https://bugzilla.redhat.com/show_bug.cgi?id=1085760

Comment 4 Ilanit Stein 2014-08-12 06:42:46 UTC
Verified on ovirt-engine 3.5-rc1.

50 VMs (in a Vmpool), 512 MB memory, 1G disk, no OS installed.
All 50 VMs run on the same host.
Power off all 50 VMs took ~ 0.5 minute.

Comment 5 Arik 2014-08-15 19:30:06 UTC
*** Bug 1099846 has been marked as a duplicate of this bug. ***

Comment 7 errata-xmlrpc 2015-02-11 18:02:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.